Bug 438953 - Extended Attributes lost / not supported by dar / libdar
Extended Attributes lost / not supported by dar / libdar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dar (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Chris Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 02:10 EDT by Douglas Wooster
Modified: 2008-08-26 18:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: dar-2.3.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 18:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Wooster 2008-03-26 02:10:19 EDT
Description of problem:
dar -V
reports that libdar does not support extended attributes (EAs), but Fedora 
uses SELinux by default, which requires EAs.  Therefore, dar can't make the 
appropriate backup.  Also, Fedora supports other things setting EAs.

You can recreate some of the lost EAs by relabelling the entire system, after 
doing a restore, but any EA which was not set by initial labelling by SELinux, 
will definitely be lost.

Version-Release number of selected component (if applicable):
RPM reports:
dar-2.3.4-2.fc8
libdar-2.3.4-2.fc8
However,  "dar -V" says that it is " Using libdar 4.3.0 ..."

How reproducible:
100%

Steps to Reproduce:
1. yum install dar and libdar
2. issue "dar -V"
  
Actual results:

 dar version 2.3.4, Copyright (C) 2002-2052 Denis Corbin
   Long options support       : YES

 Using libdar 4.3.0 built with compilation time options:
   Libz compression (gzip)    : YES
   Libbz2 compression (bzip2) : YES
   Strong encryption          : YES
   Extended Attributes support: NO           <-- this is the problem
   Large files support (> 2GB): YES
   ext2fs NODUMP flag support : YES
   Special allocation scheme  : YES
   Integer size used          : unlimited
   Thread safe support        : YES

 compiled the Aug 28 2007 with GNUC version 4.1.2 20070821 (Red Hat 4.1.2-19)
 dar is part of the Disk ARchive suite (Release 2.3.4)
 dar comes with ABSOLUTELY NO WARRANTY; for details
 type `dar -W'. This is free software, and you are welcome
 to redistribute it under certain conditions; type `dar -L | more'
 for details.


Expected results:

 dar version 2.3.4, Copyright (C) 2002-2052 Denis Corbin
   Long options support       : YES

 Using libdar 4.3.0 built with compilation time options:
   Libz compression (gzip)    : YES
   Libbz2 compression (bzip2) : YES
   Strong encryption          : YES
   Extended Attributes support: YES       <--- changed
   Large files support (> 2GB): YES
   ext2fs NODUMP flag support : YES
   Special allocation scheme  : YES
   Integer size used          : unlimited
   Thread safe support        : YES

 compiled the Aug 28 2007 with GNUC version 4.1.2 20070821 (Red Hat 4.1.2-19)
 dar is part of the Disk ARchive suite (Release 2.3.4)
 dar comes with ABSOLUTELY NO WARRANTY; for details
 type `dar -W'. This is free software, and you are welcome
 to redistribute it under certain conditions; type `dar -L | more'
 for details.


Additional info:
Comment 1 Fedora Update System 2008-08-04 14:01:14 EDT
dar-2.3.8-1.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-08-04 14:02:22 EDT
dar-2.3.8-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-08-07 19:53:50 EDT
dar-2.3.8-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7063
Comment 4 Fedora Update System 2008-08-07 19:55:57 EDT
dar-2.3.8-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7089
Comment 5 Fedora Update System 2008-08-12 14:20:32 EDT
dar-2.3.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-08-12 14:21:44 EDT
dar-2.3.8-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.